Bug 173422 - [MAINTAINER-UPDATE] dns/knot: update to 1.1.1
[MAINTAINER-UPDATE] dns/knot: update to 1.1.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Erwin Lansing
Depends on:
  Show dependency treegraph
Reported: 2012-11-06 15:10 UTC by Leo Vandewoestijne
Modified: 2012-11-26 14:06 UTC (History)
0 users

See Also:

file.diff (861 bytes, patch)
2012-11-06 15:10 UTC, Leo Vandewoestijne
no flags Details | Diff
knot.diff.txt (2.28 KB, text/plain; charset=us-ascii)
2012-11-26 13:32 UTC, Leo Vandewoestijne
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2012-11-06 15:10:01 UTC
Knot 1.1.1 was released.

I'm wondering whether the files/patch-src__config.h.in files/src__knot__server__dthreads.h are still needed or not.
When reading src/config.h.in it seems it is dealing with both issues now.
But as I'm not sure, plus as they don't seem to hurt I just kept them in.

Fix: Patch attached with submission follows:
Comment 1 Erwin Lansing freebsd_committer 2012-11-23 13:34:33 UTC
Hi Leo,

Sorry it is taking so long to get it committed, we're a bit handicapped =
with so much of the cluster down at the moment. With 1.1.2 out, would =
you want to update the patch for that?  I'll try to set up a testing =
environment locally and get it committed next week.
I also quickly talked to Marek, who agreed with me that those two =
patches indeed can be removed.

Comment 2 Leo Vandewoestijne 2012-11-26 13:32:48 UTC
Yes, I rather go for 1.1.2 I have tested it on i386 and discovered a slight difference in the manual files.
For the rest it (for me) all worked fine.

By these I attach the patch for 1.1.2

Comment 3 Erwin Lansing freebsd_committer 2012-11-26 14:00:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->erwin

I'll take it.
Comment 4 Erwin Lansing freebsd_committer 2012-11-26 14:06:23 UTC
State Changed
From-To: open->closed

Committed, thanks!